aboutsummaryrefslogtreecommitdiff
path: root/internal/p10k.zsh
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2020-01-19 23:24:11 +0300
committerromkatv <roman.perepelitsa@gmail.com>2020-01-19 23:24:11 +0300
commitf1e9d9ade73cd867859407926914e13bd34d8597 (patch)
treebc2053ed93f18be603ab42bcc34960b9a26f2fb7 /internal/p10k.zsh
parentc79108ff0a1308b5ef84ad01a2a32deebf3f91f0 (diff)
fix ram segment on wsl
Diffstat (limited to 'internal/p10k.zsh')
-rw-r--r--internal/p10k.zsh4
1 files changed, 2 insertions, 2 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index b25858ad..8f099001 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -2249,8 +2249,8 @@ _p9k_prompt_ram_async() {
*)
[[ -r /proc/meminfo ]] || return
local stat && stat="$(</proc/meminfo)" || return
- [[ $stat == (#b)*'MemAvailable:'[[:space:]]#(<->)* ]] || return
- free_bytes=$(( $match[1] * 1024 ))
+ [[ $stat == (#b)*(MemAvailable:|MemFree:)[[:space:]]#(<->)* ]] || return
+ free_bytes=$(( $match[2] * 1024 ))
;;
esac